package se.gawell.setrace.logging;

/*
 *     This file is part of SeTrace.
 *
 *   SeTrace is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SeTrace is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SeTrace.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import java.util.logging.Level;

public class JavaUtilLogger implements Logger {

	private static final String UNKNOWN_CLASS = "<unknown_class>";
	private final java.util.logging.Logger logger;
	
	public JavaUtilLogger(Class<? extends Object> classToLogFor) {
		String className = UNKNOWN_CLASS;
		if (classToLogFor != null) {
			className = classToLogFor.getName();
		}
		logger = java.util.logging.Logger.getLogger(className);
	}

	@Override
	public void debug(String message, Object... parameters) {
		logger.log(Level.FINE, message, parameters);
	}

	
}
